Bug 588028

Summary: [abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib64/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Nik Lam <nik>
Component: firefoxAssignee: Martin Stransky <stransky>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: campbecg, gecko-bugs-nobody, mrblack, oliver.henshaw
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: abrt_hash:dc4bacebd8fad80ad9012d225d60f055ca9f193a
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 10:12:06 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace none

Description Nik Lam 2010-05-02 06:02:55 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5/firefox
component: firefox
executable: /usr/lib64/firefox-3.5/firefox
global_uuid: dc4bacebd8fad80ad9012d225d60f055ca9f193a
kernel: 2.6.32.11-99.fc12.x86_64
package: firefox-3.5.9-2.fc12
rating: 4
reason: Process /usr/lib64/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

comment
-----
This is pretty much what happened in an earlier submission from me (bug #549393 comment #7). I wanted to report this again, just in case that submission has been somehow mis-filed.

I get this crash just about every day. I'm not sure if I'm making this up, but something about the alert sound seems "wrong", perhaps a crackle at the start, as though the system is having trouble playing it.

How to reproduce
-----
1. Have several tabs open (perhaps 5 or so)
2. Check Horde-based email
3. Lots of new email in in-box, the wav file to alert to this was sounding every minute. As I was working through mail (e.g. moving whole batches of selected mail into folders), upon one of the page reloads, Firefox became unresponsive (went colourless/greyed out) then crashed.
Comment 1 Nik Lam 2010-05-02 06:02:58 EDT
Created attachment 410776 [details]
File: backtrace
Comment 2 Chris Campbell 2010-05-08 09:26:17 EDT
#2  <signal handler called>
No symbol table info available.
#3  canonicalize (in=0x7f7042fef7ff) at nsCycleCollector.cpp:1161
        child = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
#4  0x0000003bd20cff28 in GCGraphBuilder::NoteXPCOMChild (
    this=0x7fffbf8a2eb0, child=<value optimized out>)
    at nsCycleCollector.cpp:1450
        cp = <value optimized out>
#5  0x0000003bd189b754 in XPCWrappedNative::NoteTearoffs (
    this=<value optimized out>, cb=...) at xpcwrappednative.cpp:129
        jso = 0x0
        i = 0
        to = 0x7f703ed3c060
        chunk = 0x7f703ed3c060
#6  0x0000003bd189bf90 in XPCWrappedNative::cycleCollection::Traverse (
    this=<value optimized out>, p=0x7f703f059400, cb=...)
    at xpcwrappednative.cpp:107
        tmp = 0x7f703f059400
#7  0x0000003bd20cfb41 in GCGraphBuilder::Traverse (this=0x7f7042fef800, 
    aPtrInfo=0x7f7046fbde28) at nsCycleCollector.cpp:1375
        rv = <value optimized out>
#8  0x0000003bd20cfbbb in nsCycleCollector::MarkRoots (
    this=<value optimized out>, builder=...) at nsCycleCollector.cpp:1574
        pi = <value optimized out>



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-05-08 09:33:56 EDT
*** Bug 587347 has been marked as a duplicate of this bug. ***
Comment 4 Chris Campbell 2010-05-08 09:34:44 EDT
*** Bug 580645 has been marked as a duplicate of this bug. ***
Comment 5 Eddie Lania 2010-05-17 14:47:37 EDT
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Make sure you have gecko-mediaplayer installed.

2. Use a ~/.mplayer/config like this:

[default]
# Write your default config options here!
ao=pulse
ac=fflpcm,dts,a52,
channels=6

[gnome-mplayer]
msglevel=all=5
vo=xv
vf=eq2
ao=pulse
ac=fflpcm,dts,a52,
channels=6


3. Surf to apple.com/trailers and play some trailers randomly


Comment
-----
Playing a few movie trailers at apple ...
Comment 6 Chris Campbell 2010-05-17 14:59:02 EDT
Good trace and reproduction steps.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2010-11-03 11:51:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 10:12:06 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.